# dmd.iasm

Inline assembler for the D programming language compiler.

Specification: Inline Assembler
Copyright (C) 2018-2022 by The D Language Foundation, All Rights Reserved

#### Authors

Walter Bright

#### License

Boost License 1.0

Source: iasm.d

Documentation: https://dlang.org/phobos/dmd_iasm.html

Coverage: https://codecov.io/gh/dlang/dmd/src/master/src/dmd/iasm.d

- `asmSemantic`

  #### Declaration

  `Statement `asmSemantic`(AsmStatement `s`, Scope* `sc`);`

  AsmStatement